WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Fifth browser Older RaspPi compatibility  (Read 209 times)

Offline AlexLeo

  • WikiUser
  • *
  • Posts: 6
Fifth browser Older RaspPi compatibility
« on: September 20, 2017, 04:28:50 PM »
Hey,

Does anyone know if Fifth browser will be backwards compatible with older Pi, B+ and B?

I have Raspberry PI3 and older B+, trying to make an image interchangeable between both models.
Unfortunately fifth only works on PI 3, anyone know how to fix that? Or if backwards compatibility will come?

Alex

Offline polikuo

  • Full Member
  • ***
  • Posts: 239
Re: Fifth browser Older RaspPi compatibility
« Reply #1 on: September 20, 2017, 11:20:04 PM »
Hey,

Does anyone know if Fifth browser will be backwards compatible with older Pi, B+ and B?

I have Raspberry PI3 and older B+, trying to make an image interchangeable between both models.
Unfortunately fifth only works on PI 3, anyone know how to fix that? Or if backwards compatibility will come?

Alex

Fifth is compiled on RPI3, it should work on older PIs, but never tested.
If the package on the repo does not work, please re-compile it and mail it.
Here's the compile instruction.
compile_fifth
Also check out this instruction.
You should be able to compiled it on the older B+

Offline AlexLeo

  • WikiUser
  • *
  • Posts: 6
Re: Fifth browser Older RaspPi compatibility
« Reply #2 on: September 20, 2017, 11:51:11 PM »
Hey,

Does anyone know if Fifth browser will be backwards compatible with older Pi, B+ and B?

I have Raspberry PI3 and older B+, trying to make an image interchangeable between both models.
Unfortunately fifth only works on PI 3, anyone know how to fix that? Or if backwards compatibility will come?

Alex

Fifth is compiled on RPI3, it should work on older PIs, but never tested.
If the package on the repo does not work, please re-compile it and mail it.
Here's the compile instruction.
compile_fifth
Also check out this instruction.
You should be able to compiled it on the older B+

Understood, I'll try compiling tomorrow.

Before I do that. tce-load doesn't load fifth on older PI, says 404 not found, it's because its not in ARMv6 repository?

Also I tried loaded it using tce-load -iw fifth.
On PI3 it loads up fine when using the icon, but on older PI, clicking the icon does nothing, is there a place I can see if it has any errors loading?

Finally how do I launch fifth through terminal? Is there verbose switch?

Alex

Offline polikuo

  • Full Member
  • ***
  • Posts: 239
Re: Fifth browser Older RaspPi compatibility
« Reply #3 on: September 21, 2017, 12:04:06 AM »
Understood, I'll try compiling tomorrow.

Before I do that. tce-load doesn't load fifth on older PI, says 404 not found, it's because its not in ARMv6 repository?

Also I tried loaded it using tce-load -iw fifth.
On PI3 it loads up fine when using the icon, but on older PI, clicking the icon does nothing, is there a place I can see if it has any errors loading?

Finally how do I launch fifth through terminal? Is there verbose switch?

Alex

You can try wget the required files directly from http://tinycorelinux.net/9.x/armv7/tcz/fifth.tcz
You'll also need fifth.tcz.dep and optionally fifth.tcz.md5.txt
Put those files in your TCE/optional directory and run:
Code: [Select]
tce-audit fetchmissing
tce-load -i fifth
fifth 2>&1 | tee /tmp/fifth.log
Post the log file (/tmp/fifth.log) on the forum so we can help.  :)

Offline AlexLeo

  • WikiUser
  • *
  • Posts: 6
Re: Fifth browser Older RaspPi compatibility
« Reply #4 on: September 21, 2017, 12:12:04 AM »
Understood, I'll try compiling tomorrow.

Before I do that. tce-load doesn't load fifth on older PI, says 404 not found, it's because its not in ARMv6 repository?

Also I tried loaded it using tce-load -iw fifth.
On PI3 it loads up fine when using the icon, but on older PI, clicking the icon does nothing, is there a place I can see if it has any errors loading?

Finally how do I launch fifth through terminal? Is there verbose switch?

Alex

You can try wget the required files directly from http://tinycorelinux.net/9.x/armv7/tcz/fifth.tcz
You'll also need fifth.tcz.dep and optionally fifth.tcz.md5.txt
Put those files in your TCE/optional directory and run:
Code: [Select]
tce-audit fetchmissing
tce-load -i fifth
fifth 2>&1 | tee /tmp/fifth.log
Post the log file (/tmp/fifth.log) on the forum so we can help.  :)

Alright will do tomorrow :) Will update my post with results.
Alex

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 9591
Re: Fifth browser Older RaspPi compatibility
« Reply #5 on: September 21, 2017, 12:24:57 AM »
Webkit dropped armv6 support years ago. No chance of the first, armv6 pi having a webkit browser.
The only barriers that can stop you are the ones you create yourself.